@import "_variables";
@import "_mixins";

.about-us {
  background-color: $bg-bottom;
  height: 100%;
  min-width: 20rem;
  max-width: 75rem;

  & .about-us__wrap {
    background: top center no-repeat url("../img/about-us/background/testmonials-bg1.png");
    background-size: 490% auto;
    @media (min-width: 481px) {
      background-size: cover;
    }
    min-width: 20rem;
    font-family: $montserrat-font;

    & .about-us__list {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;

      & li {
        @include center;
        @media (min-width: 481px) {
          width: 50%;
        }
        @media (min-width: 993px) {
          width: 33.3%;
        }
        flex-direction: column;

        & .about-us__img-wrap {
          text-align: center;

          & img {
            object-fit: cover;
          }
        }

        & p {
          margin-top: 1.5625rem;
          margin-bottom: 2.8125rem;
          padding: 0.5rem;
          text-align: center;
          min-width: 16.875rem;
          max-width: 21.875rem;
          @media (min-width: 481px) {
            min-width: 10rem;
          }
          @include font-size(1rem, 1.5rem, 700, $neutral);
          font-family: $lato-font;
          font-style: italic;
        }
      }
    }

    & p {
      @include font-size(0.875rem, 1.3125rem, 400, $p-about);
      text-align: center;
      @media (min-width: 993px) {
        margin: 0 10%;
      }
    }

    & .line {
      @include center;
      color: transparent;
      text-align: center;
      padding-top: 1rem;
      padding-bottom: 2rem;

      &::after {
        content: '';
        position: absolute;
        border: 1px solid #645766;
        width: 75%;
      }
    }
  }
}